Vector::BLF::EthernetStatus(3)

NAME
Vector::BLF::EthernetStatus - ETHERNET_STATUS.

SYNOPSIS

#include <EthernetStatus.h>

Inherits Vector::BLF::ObjectHeader.

  Public Types
enum Flags : uint16_t { LinkStatus = 0x0001, Bitrate = 0x0002, EthernetPhy = 0x0004, Duplex = 0x0008, MdiType = 0x0010, Connector = 0x0020, ClockMode = 0x0040, BrPair = 0x0080, HardwareChannel = 0x0100 }
enum LinkStatus : uint8_t { UnknownLinkStatus = 0, LinkDown = 1, LinkUp = 2, Negotiate = 3, LinkError = 4 }
enum EthernetPhy : uint8_t { UnknownEthernetPhy = 0, Ieee802_3 = 1, BroadR_Reach = 2 }
enum Duplex : uint8_t { UnknownDuplex = 0, HalfDuplex = 1, FullDuplex = 2 }
enum Mdi : uint8_t { UnknownMdi = 0, Direct = 1, Crossover = 2 }
enum Connector : uint8_t { UnknownConnector = 0, Rj45 = 1, DSub = 2 }
enum ClockMode : uint8_t { UnknownClockMode = 0, Master = 1, Slave = 2 }
enum Pairs : uint8_t { UnknownPairs = 0, Br1Pair = 1, Br2Pair = 2, Br4Pair = 3 }
Public Types inherited from Vector::BLF::ObjectHeader
enum ObjectFlags : uint32_t { TimeTenMics = 0x00000001, TimeOneNans = 0x00000002 }

  Public Member Functions
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader
ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint16_t calculateHeaderSize () const override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & operator= (const ObjectHeaderBase &)=default
ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & operator= (ObjectHeaderBase &&)=default

  Public Attributes
uint16_t channel {}
uint16_t flags
uint8_t linkStatus {}
Link Status.
uint8_t ethernetPhy {}
Ethernet Phy.
uint8_t duplex {}
Duplex.
uint8_t mdi {}
uint8_t connector {}
uint8_t clockMode {}
uint8_t pairs {}
uint8_t hardwareChannel {}
uint32_t bitrate {}
Bitrate in [kbit/sec].
Public Attributes inherited from Vector::BLF::ObjectHeader
uint32_t objectFlags {ObjectFlags::TimeOneNans}
object flags
uint16_t clientIndex {}
client index of send node
uint16_t objectVersion {0}
object specific version
uint64_t objectTimeStamp {}
object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t signature {ObjectSignature}
signature (ObjectSignature)
uint16_t headerSize {}
sizeof object header
uint16_t headerVersion {}
header version (1)
uint32_t objectSize {}
object size
ObjectType objectType {ObjectType::UNKNOWN}
object type

Detailed Description

ETHERNET_STATUS. Ethernet status.

Member Enumeration Documentation

  enum Vector::BLF::EthernetStatus::ClockMode : uint8_t
enumeration for clockMode

Enumerator

UnknownClockMode
    Unknown

Master
    Master

Slave
    Slave

  enum Vector::BLF::EthernetStatus::Connector : uint8_t
enumeration for connector

Enumerator

UnknownConnector
    Unknown

Rj45
    RJ45

DSub
    D-Sub

  enum Vector::BLF::EthernetStatus::Duplex : uint8_t
enumeration for duplex

Enumerator

UnknownDuplex
    Unknown

HalfDuplex
    Half Duplex

FullDuplex
    Full Duplex

  enum Vector::BLF::EthernetStatus::EthernetPhy : uint8_t
enumeration for ethernetPhy

Enumerator

UnknownEthernetPhy
    Unknown

Ieee802_3
    IEEE 802.3

BroadR_Reach
    BroadR-Reach

  enum Vector::BLF::EthernetStatus::Flags : uint16_t
enumeration for flags

Enumerator

LinkStatus
    Link Status

Bitrate
    Bit rate

EthernetPhy
    Ethernet Phy

Duplex
    Duplex

MdiType
    MDI Type

Connector
    Connector

ClockMode
    Clock Mode

BrPair
    BR Pair

HardwareChannel
    Hardware Channel

  enum Vector::BLF::EthernetStatus::LinkStatus : uint8_t
enumeration for linkStatus

Enumerator

UnknownLinkStatus
    Unknown

LinkDown
    Link down

LinkUp
    Link up

Negotiate
    Negotiate

LinkError
    Link error

  enum Vector::BLF::EthernetStatus::Mdi : uint8_t
enumeration for mdi

Enumerator

UnknownMdi
    Unknown

Direct
    Direct

Crossover
    Crossover

  enum Vector::BLF::EthernetStatus::Pairs : uint8_t
enumeration for pairs

Enumerator

UnknownPairs
    Unknown

Br1Pair
    BR 1-pair

Br2Pair
    BR 2-pair

Br4Pair
    BR 4-pair

Member Function Documentation

  uint32_t Vector::BLF::EthernetStatus::calculateObjectSize () const [override], [virtual]
Calculates the objectSize

Returns
    object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::EthernetStatus::read (AbstractFile & is) [override], [virtual]
Read the data of this object

Parameters
    is input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::EthernetStatus::write (AbstractFile & os) [override], [virtual]
Write the data of this object

Parameters
    os output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

Member Data Documentation

  uint16_t Vector::BLF::EthernetStatus::channel {}
The channel of the event.

  uint8_t Vector::BLF::EthernetStatus::clockMode {}
clock mode

  uint8_t Vector::BLF::EthernetStatus::connector {}
connector

  uint16_t Vector::BLF::EthernetStatus::flags
flags

  uint8_t Vector::BLF::EthernetStatus::hardwareChannel {}
hardware channel

  uint8_t Vector::BLF::EthernetStatus::mdi {}
MDI

  uint8_t Vector::BLF::EthernetStatus::pairs {}
pairs

Author

Generated automatically by Doxygen for Vector BLF from the source code.